> For the complete documentation index, see [llms.txt](https://developers.accesstrade.vn/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.accesstrade.vn/api-publisher-vietnamese/top-cac-san-pham-ban-chay-nhat.md).

# Top các sản phẩm bán chạy nhất

**Method: GET**

#### HTTP Request <a href="#http-request" id="http-request"></a>

```
https://api.accesstrade.vn/v1/top_products
```

Các biến params được truyền vào HTTP Request theo các cặp Key-Value, mở đầu chuỗi params bằng dấu “?” và giữa các biến phân tách nhau bằng dấu “&”. Vd:&#x20;

```
https://api.accesstrade.vn/v1/top_products?date_from=01-07-2020&date_to=20-07-2020
```

#### Query parameters <a href="#query-parameters" id="query-parameters"></a>

| Biến params | Required | Mô tả                                 |
| ----------- | -------- | ------------------------------------- |
| date\_from  | tùy chọn | Ngày filter bắt đầu, vd: ‘01-04-2016’ |
| date\_to    | tùy chọn | Ngày filter cuối, vd: ‘01-01-2016’    |
| merchant    | tùy chọn | Đối tác, vd: lazada                   |

#### Mô tả kết quả <a href="#m-t-k-t-qu" id="m-t-k-t-qu"></a>

| Value          | Mô tả                   |
| -------------- | ----------------------- |
| category\_id   | id danh mục sản phẩm    |
| category\_name | tên danh mục sản phẩm   |
| desc           | mô tả sản phẩm          |
| image          | ảnh sản phẩm            |
| link           | link sản phẩm           |
| aff\_link      | Affiliate link          |
| price          | giá sản phẩm chưa sale  |
| discount       | giá khuyến mại sản phẩm |
| total          | số lượng sản phẩm       |
| name           | tên sản phẩm            |
| product\_id    | id sản phẩm             |

> API response trả về (1 trong số 50 sản phẩm trả về)

```
{
    "data": [
        {
            "aff_link": "https://go.isclix.com/deep_link/4348611760548105593?url=https%3A%2F%2Ffado.vn%2Fus%2Famazon%2Frazor-turbo-jetts-electric-heel-wheels-red-B076WVGLXS.html%3Fm%3DAGYUU318PHJM6",
            "brand": "",
            "category_id": "",
            "category_name": "Sports & Outdoors",
            "desc": null,
            "discount": 2869795.0,
            "image": "https://images-na.ssl-images-amazon.com/images/I/81259FdCzzL.jpg",
            "link": "https://fado.vn/us/amazon/razor-turbo-jetts-electric-heel-wheels-red-B076WVGLXS.html?m=AGYUU318PHJM6",
            "name": "Razor Turbo Jetts Electric Heel Wheels - Red",
            "price": 2869795.0,
            "product_category": "FADOTREN2000000",
            "product_id": "B076WVGLXS",
            "short_desc": null
        }
    ],
    "total": 1
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.accesstrade.vn/api-publisher-vietnamese/top-cac-san-pham-ban-chay-nhat.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
